import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { CounterLabel } from '../../elements/CounterLabel';
import { DeleteButton } from '../../elements/DeleteButton';
import { FilterButton } from '../../elements/FilterButton';
import { PreferencesButton } from '../../elements/PreferencesButton';
import PanelHeader from './PanelHeader';
const styles = {
    leftContainer: {
        display: 'flex',
        flexDirection: 'row',
        flex: 1,
    },
};
export function createFilterLabel(total, counter) {
    if (typeof counter === 'boolean') {
        return `[ ${total || 0} ]`;
    }
    return `[ ${counter}/${total} ]`;
}
function DefaultPanelHeader({ counter, counterLabel, onDelete = () => null, deleteToolTip = 'Delete', onFilter = () => null, filterToolTip = '', children, onSettingClick = () => null, showSettingButton = false, canDelete = true, disableDelete = false, style = {}, className = '', renderRightButtons, }) {
    const [isFiltered, setFilterStatus] = useState(false);
    function handleFilter() {
        setFilterStatus((previousValue) => !previousValue);
        onFilter();
    }
    return (_jsxs(PanelHeader, { style, className, children: [_jsxs("div", { style: styles.leftContainer, children: [canDelete && (_jsx(DeleteButton, { disabled: counter === 0 || disableDelete, title: deleteToolTip, onClick: onDelete })), filterToolTip && (_jsx(FilterButton, { onClick: handleFilter, active: isFiltered, title: filterToolTip })), children] }), renderRightButtons?.(), counterLabel && _jsx(CounterLabel, { children: counterLabel }), showSettingButton && _jsx(PreferencesButton, { onClick: onSettingClick })] }));
}
export default DefaultPanelHeader;
